Subject: Re: [RFC v6 net-next 1/9] pinctrl: ocelot: allow pinctrl-ocelot to be loaded as a module

From: Colin Foster <[email-masked]>
Date: Sun, 30 Jan 2022 13:30:22 -0800

On Sun, Jan 30, 2022 at 01:30:57AM +0100, Linus Walleij wrote:
> On Sat, Jan 29, 2022 at 11:02 PM Colin Foster
> <[email-masked]> wrote:
> 
> > Work is being done to allow external control of Ocelot chips. When pinctrl
> > drivers are used internally, it wouldn't make much sense to allow them to
> > be loaded as modules. In the case where the Ocelot chip is controlled
> > externally, this scenario becomes practical.
> >
> > Signed-off-by: Colin Foster <[email-masked]>
> 
> Reviewed-by: Linus Walleij <[email-masked]>
> 
> This is fine to merge through the netdev tree, if you prefer I merge patches
> 1 & 2 to the pinctrl tree just tell me.

I'd thought about splitting these out, but they really don't make much
sense to be anywhere until the MFD is added in. The big one I needed in
pinctrl was the regmap conversions that are in 5.17-rc1, so I'm hopeful
I won't need to bounce back and forth much moving forward.

Thanks for reviewing!

> Yours,
> Linus Walleij

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel